Package org.eclipse.birt.report.engine.api

# Class RenderOption

java.lang.Object
org.eclipse.birt.report.engine.api.TaskOption
org.eclipse.birt.report.engine.api.RenderOption

All Implemented Interfaces:
  `IRenderOption`, `ITaskOption`

Direct Known Subclasses:
  `DocxRenderOption`, `EXCELRenderOption`, `HTMLRenderOption`, `PDFRenderOption`, `RenderOptionBase`

public class RenderOption extends TaskOption implements IRenderOption
Settings for rendering a report to an output format. Currently supported options include format of the request, whether to render HTML with style sheet, etc. Potential future options includes image formats in PDF (vector or bitmap), font embedding options, etc.

The predefined options strings are what BIRT supports. Other options are available depending on custom extensions.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption

`options`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Constructor Summary

Constructors
Constructor
Description
`RenderOption()`
constructor
`RenderOption(Map<String,Object> options)`
Constructor.
`RenderOption(IRenderOption options)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`closeOutputStreamOnExit(boolean closeOnExit)`
Get flag indicates if the output stream needs to be closed on exit.
`IHTMLActionHandler`
`getActionHandle()`
Deprecated.
`IHTMLActionHandler`
`getActionHandler()`
Get the action handler
`String`
`getAppBaseURL()`
Returns the app base url for URL images
`String`
`getBaseURL()`
Returns the base URL for creating an Action URL
`String`
`getEmitterID()`
Get emitter id.
`IHTMLImageHandler`
`getImageHandle()`
Deprecated.
`IHTMLImageHandler`
`getImageHandler()`
Get the image handler
`String`
`getOutputFileName()`
Get name of the output file.
`String`
`getOutputFormat()`
returns the output format, i.e., html, pdf, etc.
`Map<String,Object>`
`getOutputSetting()`
Deprecated.
user should always use the get/set to change the setting.
`OutputStream`
`getOutputStream()`
Get output stream
`String`
`getSupportedImageFormats()`
`boolean`
`needCloseOutputStreamOnExit()`
If the output stream needs to be closed on exit.
`void`
`setActionHandle(IHTMLActionHandler handler)`
Deprecated.
`void`
`setActionHandler(IHTMLActionHandler handler)`
Set the action handler
`void`
`setAppBaseURL(String appBaseUrl)`
Set app base url
`void`
`setBaseURL(String baseURL)`
sets the base url for action handling
`void`
`setEmitterID(String emitterId)`
Set emitter id.
`void`
`setImageHandle(IHTMLImageHandler handler)`
Deprecated.
`void`
`setImageHandler(IHTMLImageHandler handler)`
Set the image handler
`void`
`setOutputFileName(String outputFileName)`
Set name of the output file.
`void`
`setOutputFormat(String format)`
Set output format.
`void`
`setOutputStream(OutputStream ostream)`
Set output stream.
`void`
`setSupportedImageFormats(String formats)`

### Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption

`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Constructor Details

### RenderOption

public RenderOption()
constructor

### RenderOption

public RenderOption(Map<String,Object> options)
Constructor.

Parameters:
  `options` -

### RenderOption

public RenderOption(IRenderOption options)
Constructor.

Parameters:
  `options` -

## Method Details

### getOutputSetting

@Deprecated public Map<String,Object> getOutputSetting()
Deprecated.
user should always use the get/set to change the setting.
returns the output settings

Specified by:
  `getOutputSetting` in interface `IRenderOption`
Returns:
  the output settings

### getOutputFormat

public String getOutputFormat()
returns the output format, i.e., html, pdf, etc.

Specified by:
  `getOutputFormat` in interface `IRenderOption`
Returns:
  Returns the output format

### setOutputFormat

public void setOutputFormat(String format)
Description copied from interface: `IRenderOption`
Set output format.

Specified by:
  `setOutputFormat` in interface `IRenderOption`
Parameters:
  `format` -

### getEmitterID

public String getEmitterID()
Get emitter id.

Specified by:
  `getEmitterID` in interface `IRenderOption`
Returns:
  Returns the emitter id

### setEmitterID

public void setEmitterID(String emitterId)
Set emitter id.

Specified by:
  `setEmitterID` in interface `IRenderOption`
Parameters:
  `emitterId` - emitter id

### setOutputStream

public void setOutputStream(OutputStream ostream)
Description copied from interface: `IRenderOption`
Set output stream.

Specified by:
  `setOutputStream` in interface `IRenderOption`
Parameters:
  `ostream` -

### getOutputStream

public OutputStream getOutputStream()
Get output stream

Specified by:
  `getOutputStream` in interface `IRenderOption`
Returns:
  output stream

### setOutputFileName

public void setOutputFileName(String outputFileName)
Set name of the output file.

Specified by:
  `setOutputFileName` in interface `IRenderOption`
Parameters:
  `outputFileName` - name of the output file

### getOutputFileName

public String getOutputFileName()
Get name of the output file.

Specified by:
  `getOutputFileName` in interface `IRenderOption`
Returns:
  output file name

### setSupportedImageFormats

public void setSupportedImageFormats(String formats)

Specified by:
  `setSupportedImageFormats` in interface `IRenderOption`
Parameters:
  `formats` - - the image format supported by the browser

### getSupportedImageFormats

public String getSupportedImageFormats()

Specified by:
  `getSupportedImageFormats` in interface `IRenderOption`
Returns:
  the image format supported by the browser

### getBaseURL

public String getBaseURL()
Returns the base URL for creating an Action URL

Specified by:
  `getBaseURL` in interface `IRenderOption`
Returns:
  the baseURL.

### setBaseURL

public void setBaseURL(String baseURL)
sets the base url for action handling

Specified by:
  `setBaseURL` in interface `IRenderOption`
Parameters:
  `baseURL` - sets the base URL used for action handling

### getAppBaseURL

public String getAppBaseURL()
Returns the app base url for URL images

Specified by:
  `getAppBaseURL` in interface `IRenderOption`
Returns:
  appBaseUrl

### setAppBaseURL

public void setAppBaseURL(String appBaseUrl)
Set app base url

Specified by:
  `setAppBaseURL` in interface `IRenderOption`
Parameters:
  `appBaseUrl` - the app base url

### setActionHandle

@Deprecated public void setActionHandle(IHTMLActionHandler handler)
Deprecated.
Description copied from interface: `IRenderOption`
Set the action handler

Specified by:
  `setActionHandle` in interface `IRenderOption`
Parameters:
  `handler` -

### setActionHandler

public void setActionHandler(IHTMLActionHandler handler)
Description copied from interface: `IRenderOption`
Set the action handler

Specified by:
  `setActionHandler` in interface `IRenderOption`
Parameters:
  `handler` -

### getActionHandle

@Deprecated public IHTMLActionHandler getActionHandle()
Deprecated.
Get the action handler

Specified by:
  `getActionHandle` in interface `IRenderOption`
Returns:
  Return the action handler

### getActionHandler

public IHTMLActionHandler getActionHandler()
Description copied from interface: `IRenderOption`
Get the action handler

Specified by:
  `getActionHandler` in interface `IRenderOption`
Returns:
  Return the action handler

### setImageHandle

@Deprecated public void setImageHandle(IHTMLImageHandler handler)
Deprecated.
Description copied from interface: `IRenderOption`
Set the image handler

Specified by:
  `setImageHandle` in interface `IRenderOption`
Parameters:
  `handler` -

### setImageHandler

public void setImageHandler(IHTMLImageHandler handler)
Description copied from interface: `IRenderOption`
Set the image handler

Specified by:
  `setImageHandler` in interface `IRenderOption`
Parameters:
  `handler` -

### getImageHandle

@Deprecated public IHTMLImageHandler getImageHandle()
Deprecated.
Get the image handler

Specified by:
  `getImageHandle` in interface `IRenderOption`
Returns:
  Return the image handler

### getImageHandler

public IHTMLImageHandler getImageHandler()
Description copied from interface: `IRenderOption`
Get the image handler

Specified by:
  `getImageHandler` in interface `IRenderOption`
Returns:
  Return the image handler

### needCloseOutputStreamOnExit

public boolean needCloseOutputStreamOnExit()
If the output stream needs to be closed on exit.

Returns:
  true, output stream must be closed on exit

### closeOutputStreamOnExit

public void closeOutputStreamOnExit(boolean closeOnExit)
Get flag indicates if the output stream needs to be closed on exit.

Parameters:
  `closeOnExit` -